com.massivecraft.factions

## Class P

- java.lang.Object
- - org.bukkit.plugin.PluginBase
  - - org.bukkit.plugin.java.JavaPlugin
    - - com.massivecraft.factions.zcore.MPlugin
      - - com.massivecraft.factions.P

- All Implemented Interfaces:
    org.bukkit.command.CommandExecutor, org.bukkit.command.TabCompleter, org.bukkit.command.TabExecutor, org.bukkit.plugin.Plugin

      public class P
      extends MPlugin

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `org.bukkit.Material` | `BANNER`
    `org.bukkit.Material` | `BURNING_FURNACE`
    `CmdAutoHelp` | `cmdAutoHelp`
    `FCmdRoot` | `cmdBase`
    `org.bukkit.Material` | `CROPS`
    `org.bukkit.Material` | `DIODE_BLOCK_OFF`
    `org.bukkit.Material` | `DIODE_BLOCK_ON`
    `org.bukkit.Material` | `ENCHANTMENT_TABLE`
    `boolean` | `factionsFlight`
    `org.bukkit.Material` | `FENCE`
    `org.bukkit.Material` | `FENCE_GATE`
    `org.bukkit.Material` | `FIREBALL`
    `org.bukkit.Material` | `IRON_FENCE`
    `boolean` | `mc113`
    `boolean` | `mc17`
    `boolean` | `mc18`
    `org.bukkit.Material` | `MOB_SPANWER`
    `org.bukkit.Material` | `NETHER_FENCE`
    `static P` | `p`
    `static net.milkbowl.vault.permission.Permission` | `perms`
    `boolean` | `PlaceholderApi`
    `org.bukkit.Material` | `REDSTONE_LAMP_ON`
    `org.bukkit.Material` | `SOIL`
    `org.bukkit.Material` | `STAINED_CLAY`
    `org.bukkit.Material` | `STAINED_GLASS`
    `org.bukkit.Material` | `STATIONARY_WATER`
    `org.bukkit.Material` | `SUGAR_CANE_BLOCK`
    `org.bukkit.Material` | `THIN_GLASS`
    `org.bukkit.Material` | `TRAP_DOOR`
    `boolean` | `useNonPacketParticles`
    `org.bukkit.Material` | `WOOD_BUTTON`
    `org.bukkit.Material` | `WOODEN_DOOR`

    - ### Fields inherited from class com.massivecraft.factions.zcore.MPlugin

      `gson, loadSuccessful, perm, persist, rawTags, refCommand, stuckMap, txt`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `P()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `changeItemIDSInConfig()`
    `java.lang.String` | `color(java.lang.String line)`
    `java.util.List<java.lang.String>` | `colorList(java.util.List<java.lang.String> lore)`
    `org.bukkit.inventory.ItemStack` | `createItem(org.bukkit.Material material, int amount, short datavalue, java.lang.String name, java.util.List<java.lang.String> lore)`
    `org.bukkit.inventory.ItemStack` | `createLazyItem(org.bukkit.Material material, int amount, short datavalue, java.lang.String name, java.lang.String lore)`
    `void` | `createTimedHologram(org.bukkit.Location location, java.lang.String text, java.lang.Long timeout)`
    `void` | `debug(java.util.logging.Level level, java.lang.String s)`
    `void` | `debug(java.lang.String s)`
    `net.milkbowl.vault.economy.Economy` | `getEcon()`
    `java.util.Set<java.lang.String>` | `getFactionTags()`
    `com.google.gson.GsonBuilder` | `getGsonBuilder()`
    `boolean` | `getLocked()`
    `java.util.Set<java.lang.String>` | `getOnlinePlayersInFaction(java.lang.String factionTag)`
    `java.lang.String` | `getPlayerFactionTag(org.bukkit.entity.Player player)`
    `java.lang.String` | `getPlayerFactionTagRelation(org.bukkit.entity.Player speaker, org.bukkit.entity.Player listener)`
    `java.util.Set<java.lang.String>` | `getPlayersInFaction(java.lang.String factionTag)`
    `java.lang.String` | `getPlayerTitle(org.bukkit.entity.Player player)`
    `java.lang.String` | `getPrimaryGroup(org.bukkit.OfflinePlayer player)`
    `boolean` | `handleCommand(org.bukkit.command.CommandSender sender, java.lang.String commandString, boolean testOnly)`
    `void` | `handleFactionTagExternally(boolean notByFactions)`
    `int` | `hookSupportVersion()`
    `boolean` | `isClipPlaceholderAPIHooked()`
    `boolean` | `isFactionsCommand(java.lang.String check)`
    `boolean` | `isHookedPlayervaults()`
    `boolean` | `isMVdWPlaceholderAPIHooked()`
    `boolean` | `isPlayerFactionChatting(org.bukkit.entity.Player player)`
    `boolean` | `logPlayerCommands()`
    `boolean` | `onCommand(org.bukkit.command.CommandSender sender, org.bukkit.command.Command command, java.lang.String label, java.lang.String[] split)`
    `void` | `onDisable()`
    `void` | `onEnable()`
    `void` | `playSound(org.bukkit.entity.Player p, java.util.List<java.lang.String> sounds)`
    `void` | `playSound(org.bukkit.entity.Player p, java.lang.String sound)`
    `void` | `playSoundForAll(java.util.List<java.lang.String> sounds)`
    `void` | `playSoundForAll(java.lang.String sound)`
    `void` | `postAutoSave()`
    `void` | `replaceStringInConfig(java.lang.String path, java.lang.String stringToReplace, java.lang.String replacementString)`
    `void` | `setLocked(boolean val)`
    `boolean` | `shouldLetFactionsHandleThisChat(org.bukkit.event.player.AsyncPlayerChatEvent event)`
    `void` | `startAutoLeaveTask(boolean restartIfRunning)`

    - ### Methods inherited from class com.massivecraft.factions.zcore.MPlugin

      `addRawTags, getAutoSave, getBaseCommands, getStuckMap, getTimers, handleCommand, handleCommand, initTXT, loadLang, log, log, log, log, postEnable, preAutoSave, preEnable, setAutoSave, suicide`

    - ### Methods inherited from class org.bukkit.plugin.java.JavaPlugin

      `getClassLoader, getCommand, getConfig, getDataFolder, getDefaultWorldGenerator, getDescription, getFile, getLogger, getPlugin, getPluginLoader, getProvidingPlugin, getResource, getServer, getTextResource, isEnabled, isNaggable, onLoad, onTabComplete, reloadConfig, saveConfig, saveDefaultConfig, saveResource, setEnabled, setNaggable, toString`

    - ### Methods inherited from class org.bukkit.plugin.PluginBase

      `equals, getName, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### p

          public static P p

    - #### perms

          public static net.milkbowl.vault.permission.Permission perms

    - #### PlaceholderApi

          public boolean PlaceholderApi

    - #### cmdBase

          public FCmdRoot cmdBase

    - #### cmdAutoHelp

          public CmdAutoHelp cmdAutoHelp

    - #### mc17

          public boolean mc17

    - #### mc18

          public boolean mc18

    - #### mc113

          public boolean mc113

    - #### useNonPacketParticles

          public boolean useNonPacketParticles

    - #### factionsFlight

          public boolean factionsFlight

    - #### SUGAR_CANE_BLOCK

          public org.bukkit.Material SUGAR_CANE_BLOCK

    - #### BANNER

          public org.bukkit.Material BANNER

    - #### CROPS

          public org.bukkit.Material CROPS

    - #### REDSTONE_LAMP_ON

          public org.bukkit.Material REDSTONE_LAMP_ON

    - #### STAINED_GLASS

          public org.bukkit.Material STAINED_GLASS

    - #### STATIONARY_WATER

          public org.bukkit.Material STATIONARY_WATER

    - #### STAINED_CLAY

          public org.bukkit.Material STAINED_CLAY

    - #### WOOD_BUTTON

          public org.bukkit.Material WOOD_BUTTON

    - #### SOIL

          public org.bukkit.Material SOIL

    - #### MOB_SPANWER

          public org.bukkit.Material MOB_SPANWER

    - #### THIN_GLASS

          public org.bukkit.Material THIN_GLASS

    - #### IRON_FENCE

          public org.bukkit.Material IRON_FENCE

    - #### NETHER_FENCE

          public org.bukkit.Material NETHER_FENCE

    - #### FENCE

          public org.bukkit.Material FENCE

    - #### WOODEN_DOOR

          public org.bukkit.Material WOODEN_DOOR

    - #### TRAP_DOOR

          public org.bukkit.Material TRAP_DOOR

    - #### FENCE_GATE

          public org.bukkit.Material FENCE_GATE

    - #### BURNING_FURNACE

          public org.bukkit.Material BURNING_FURNACE

    - #### DIODE_BLOCK_OFF

          public org.bukkit.Material DIODE_BLOCK_OFF

    - #### DIODE_BLOCK_ON

          public org.bukkit.Material DIODE_BLOCK_ON

    - #### ENCHANTMENT_TABLE

          public org.bukkit.Material ENCHANTMENT_TABLE

    - #### FIREBALL

          public org.bukkit.Material FIREBALL

  - ### Constructor Detail

    - #### P

          public P()

  - ### Method Detail

    - #### getLocked

          public boolean getLocked()

    - #### setLocked

          public void setLocked(boolean val)

    - #### playSoundForAll

          public void playSoundForAll(java.lang.String sound)

    - #### playSoundForAll

          public void playSoundForAll(java.util.List<java.lang.String> sounds)

    - #### playSound

          public void playSound(org.bukkit.entity.Player p,
                                java.util.List<java.lang.String> sounds)

    - #### playSound

          public void playSound(org.bukkit.entity.Player p,
                                java.lang.String sound)

    - #### onEnable

          public void onEnable()

      Specified by:
        `onEnable` in interface `org.bukkit.plugin.Plugin`
      Overrides:
        `onEnable` in class `org.bukkit.plugin.java.JavaPlugin`

    - #### changeItemIDSInConfig

          public void changeItemIDSInConfig()

    - #### replaceStringInConfig

          public void replaceStringInConfig(java.lang.String path,
                                            java.lang.String stringToReplace,
                                            java.lang.String replacementString)

    - #### isClipPlaceholderAPIHooked

          public boolean isClipPlaceholderAPIHooked()

    - #### isMVdWPlaceholderAPIHooked

          public boolean isMVdWPlaceholderAPIHooked()

    - #### getGsonBuilder

          public com.google.gson.GsonBuilder getGsonBuilder()

      Overrides:
        `getGsonBuilder` in class `MPlugin`

    - #### onDisable

          public void onDisable()

      Specified by:
        `onDisable` in interface `org.bukkit.plugin.Plugin`
      Overrides:
        `onDisable` in class `MPlugin`

    - #### startAutoLeaveTask

          public void startAutoLeaveTask(boolean restartIfRunning)

    - #### postAutoSave

          public void postAutoSave()

      Overrides:
        `postAutoSave` in class `MPlugin`

    - #### createItem

          public org.bukkit.inventory.ItemStack createItem(org.bukkit.Material material,
                                                           int amount,
                                                           short datavalue,
                                                           java.lang.String name,
                                                           java.util.List<java.lang.String> lore)

    - #### createLazyItem

          public org.bukkit.inventory.ItemStack createLazyItem(org.bukkit.Material material,
                                                               int amount,
                                                               short datavalue,
                                                               java.lang.String name,
                                                               java.lang.String lore)

    - #### getEcon

          public net.milkbowl.vault.economy.Economy getEcon()

    - #### logPlayerCommands

          public boolean logPlayerCommands()

      Overrides:
        `logPlayerCommands` in class `MPlugin`

    - #### handleCommand

          public boolean handleCommand(org.bukkit.command.CommandSender sender,
                                       java.lang.String commandString,
                                       boolean testOnly)

      Overrides:
        `handleCommand` in class `MPlugin`

    - #### onCommand

          public boolean onCommand(org.bukkit.command.CommandSender sender,
                                   org.bukkit.command.Command command,
                                   java.lang.String label,
                                   java.lang.String[] split)

      Specified by:
        `onCommand` in interface `org.bukkit.command.CommandExecutor`
      Overrides:
        `onCommand` in class `org.bukkit.plugin.java.JavaPlugin`

    - #### createTimedHologram

          public void createTimedHologram(org.bukkit.Location location,
                                          java.lang.String text,
                                          java.lang.Long timeout)

    - #### hookSupportVersion

          public int hookSupportVersion()

    - #### handleFactionTagExternally

          public void handleFactionTagExternally(boolean notByFactions)

    - #### shouldLetFactionsHandleThisChat

          public boolean shouldLetFactionsHandleThisChat(org.bukkit.event.player.AsyncPlayerChatEvent event)

    - #### isPlayerFactionChatting

          public boolean isPlayerFactionChatting(org.bukkit.entity.Player player)

    - #### isFactionsCommand

          public boolean isFactionsCommand(java.lang.String check)

    - #### getPlayerFactionTag

          public java.lang.String getPlayerFactionTag(org.bukkit.entity.Player player)

    - #### getPlayerFactionTagRelation

          public java.lang.String getPlayerFactionTagRelation(org.bukkit.entity.Player speaker,
                                                              org.bukkit.entity.Player listener)

    - #### getPlayerTitle

          public java.lang.String getPlayerTitle(org.bukkit.entity.Player player)

    - #### color

          public java.lang.String color(java.lang.String line)

    - #### colorList

          public java.util.List<java.lang.String> colorList(java.util.List<java.lang.String> lore)

    - #### getFactionTags

          public java.util.Set<java.lang.String> getFactionTags()

    - #### getPlayersInFaction

          public java.util.Set<java.lang.String> getPlayersInFaction(java.lang.String factionTag)

    - #### getOnlinePlayersInFaction

          public java.util.Set<java.lang.String> getOnlinePlayersInFaction(java.lang.String factionTag)

    - #### isHookedPlayervaults

          public boolean isHookedPlayervaults()

    - #### getPrimaryGroup

          public java.lang.String getPrimaryGroup(org.bukkit.OfflinePlayer player)

    - #### debug

          public void debug(java.util.logging.Level level,
                            java.lang.String s)

    - #### debug

          public void debug(java.lang.String s)